.\" $NetBSD: MAKEDEV.local.8,v 1.6 2008/04/09 20:23:20 apb Exp $
.\"
.\" Copyright (c) 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 9, 2008
.Dt MAKEDEV.LOCAL 8
.Os
.Sh NAME
.Nm MAKEDEV.local
.Nd create site-specific device special files
.Sh SYNOPSIS
.Nm
.Op Fl fMs
.Op Fl m Ar mknod
.Op Fl p Ar pax
.Op Fl t Ar mtree
.Bro Pa all | site-specific-argument Brc Op Ar ...
.Sh DESCRIPTION
.Nm
is used to create site-specific device special files.
Each argument may be the word
.Pa all
or a site-specific argument.
By default, there are no valid site-specific arguments,
and the
.Pa all
argument has no effect;
This may be changed by editing the script.
.Pp
The script is in
.Pa /dev/MAKEDEV.local .
Devices are created in the current working directory;
in normal use,
.Nm
should be invoked with
.Pa /dev
as the current working directory.
.Pp
Supported options for
.Nm
are the same as for
.Xr MAKEDEV 8 .
.Sh FILES
.Bl -tag -width "/dev/MAKEDEV.local" -compact
.It Pa /dev
special device files directory
.It Pa /dev/MAKEDEV
script that invokes
.Nm
with the
.Pa all
argument.
.It Pa /dev/MAKEDEV.local
script described in this man page
.El
.Sh SEE ALSO
.Xr config 1 ,
.Xr intro 4 ,
.Xr MAKEDEV 8 ,
.Xr mknod 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
Handling of the same command line options as
.Xr MAKEDEV 8 ,
and the use of
.Xr MAKEDEV 8
as a function library, was added in
.Nx 5.0 .
.Sh NOTES
The relationship between
.Nm
and
.Xr MAKEDEV 8
is complex:
.Bl -bullet
.It
If
.Xr MAKEDEV 8
is invoked with the
.Pa all
or
.Pa local
argument, then it will invoke
.Nm
as a child process, with options similar to
those that were originally passed to
.Xr MAKEDEV 8 ,
and with the
.Pa all
argument.
.It
.Nm
uses shell functions defined in
.Xr MAKEDEV 8 .
This is done by loading
.Xr MAKEDEV 8
using the shell
.Dq \&.
command, with the
.Ev MAKEDEV_AS_LIBRARY
variable set (to inform
.Xr MAKEDEV 8
that it should behave as a function library,
not as an independent program).
.El
